Bug 126634 - Toolbar Form Controls: Missing Table Control
Summary: Toolbar Form Controls: Missing Table Control
Status: REOPENED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha1+
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0
Keywords: bibisected, bisected, needsUXEval, regression
Depends on:
Blocks:
 
Reported: 2019-07-31 07:16 UTC by Robert Großkopf
Modified: 2019-08-13 10:21 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments
How the toolbar looks after the commit (17.16 KB, image/png)
2019-08-09 10:35 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Großkopf 2019-07-31 07:16:25 UTC
Open a Writer document.
Open the toolbar "Form Controls".
There is no "Table Control" available.

"Table Control" has been part of the toolbar "More Controls" in LO 5.4.*, but has been gone there in LO 6.1.1.2. This has been bug 115447. This bug seems to be  fixed, but is again broken with merging the toolbars "More Controls" and "Form Controls", bug 112411. Table control is only available with menue Form → Table Control.

All tested wih LO 5.4.6.2, LO 6.1.1.2 and LO 6.3.0.2 on OpenSUSE 15 64bit rpm Linux.
Comment 1 Alex Thurgood 2019-07-31 11:37:02 UTC
Commit 603d1773a2dfea6b347f44ddacef478577098caf

was supposed to fix the removed grid control. Seems like that got overwritten somehow.


Confirming with 

Version: 6.4.0.0.alpha0+
Build ID: 4fe32e65cc56cec959af811a9a99348e764e4966
CPU threads: 4; OS: Mac OS X 10.14.5; UI render: default; VCL: osx; 
Locale: fr-FR (fr_FR.UTF-8); UI-Language: en-US
Calc: threaded

It would be most helpful to have this put back in.
Comment 2 Xisco Faulí 2019-08-05 13:49:10 UTC
Regression introduced by:

author	Yousuf Philips <philipz85@hotmail.com>	2017-12-07 02:34:43 +0400
committer	Yousuf Philips <philipz85@hotmail.com>	2017-12-14 16:43:15 +0100
commit	f894386a8fe58639c295048fe7894f68613a0df1 (patch)
tree	a54c06477ecb64e462bac6449bdad86a1446bfa4
parent	8ce353279caa84944971f22ec536433030e5d9c7 (diff)
tdf#81475 Organize the form toolbars

Bisected with:

Later on, the controls were restored in swform but not swriter or other places...

UX Team, Heiko, Should the controls be restored for all modules ?
Comment 3 Heiko Tietze 2019-08-06 08:48:33 UTC
(In reply to Xisco Faulí from comment #2)
> UX Team, Heiko, Should the controls be restored for all modules ?

Don't see any reason why not. Roman, do you want to take a look?
Comment 4 Roman Kuznetsov 2019-08-06 18:30:08 UTC
(In reply to Heiko Tietze from comment #3)
> (In reply to Xisco Faulí from comment #2)
> > UX Team, Heiko, Should the controls be restored for all modules ?
> 
> Don't see any reason why not. Roman, do you want to take a look?

Don't see any reason why not ;-)
Comment 5 Roman Kuznetsov 2019-08-06 18:40:16 UTC
https://gerrit.libreoffice.org/#/c/77065/
Comment 6 Commit Notification 2019-08-08 07:10:04 UTC
Roman Kuznetsov committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/43f9c6d7c321b104a0387c844d61d45752ba3a4a%5E%21

tdf#126634 Move uno:Grid back to Form controls toolbar

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2019-08-09 10:35:42 UTC
Created attachment 153257 [details]
How the toolbar looks after the commit

For some reason, after adding the grid buttons back to the toolbar, it has empty space on it, the problem can be observed if resizing the toolbar horizontally...
Comment 8 Roman Kuznetsov 2019-08-09 16:40:22 UTC
(In reply to Xisco Faulí from comment #7)
> Created attachment 153257 [details]
> How the toolbar looks after the commit
> 
> For some reason, after adding the grid buttons back to the toolbar, it has
> empty space on it, the problem can be observed if resizing the toolbar
> horizontally...

I think it's because there are <toolbar:toolbarbreak/> near our items on toolbar. I don't know why toolbar mechanizm can't place two items into one row and third item into second row now.

And I think it's an another bug